Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Interface VarProbe

All Known Implementing Classes:
  VarProbeImpl

public interface VarProbe
extends Probe, ProbeS

A class that allows the user to inspect a given variable in any candidate that is an instance of, or inherits from, a given class.. This is a specialized subclass of the abstract class Probe. It completes the specification of a probe that refers to an instance variable element of an object.

Method Summary
`java.lang.String` | `getBaseType()` In the case of arrays, returns the base type.
`boolean` | `getInteractiveFlag()` The getInteractiveFlag method returns the interactivity state of the VarProbe.
`java.lang.String` | `getProbedVariable()` The getProbedVariable method returns a string matching the identifier of variable being probed.
`int` | `getRank()` Returns rank of array, or 0 for scalar objects.
`double` | `probeAsDouble(java.lang.Object anObject)` The probeAsDouble: method returns a pointer to the probed variable as a double.
`int` | `probeAsInt(java.lang.Object anObject)` The probeAsInt: method returns a pointer to the probed variable as an integer.
`String` | `probeAsString(java.lang.Object anObject)` The probeAsString: method prints the value of the variable into a new String object.
`java.lang.Object` | `probeObject(java.lang.Object anObject)` A field probed with probeAsObject: must be an object.
`void` | `setData$ToDouble(java.lang.Object anObject, double val)` Sets the probeVariable value using a double.
`boolean` | `setData$ToString(java.lang.Object anObject, java.lang.String s)` The setData:ToString: sets the probedVariable using a string which the probe reads and converts appropriately.

Methods inherited from interface swarm.objectbase.Probe
`clone, getProbedClass, getProbedType`

Methods inherited from interface swarm.objectbase.ProbeS
`setSafety, unsetSafety`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.objectbase.ProbeConfig
`getObjectToNotify, setObjectToNotify`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getProbedVariable

    public java.lang.String getProbedVariable()

  The getProbedVariable method returns a string matching the identifier of variable being probed.

### getInteractiveFlag

    public boolean getInteractiveFlag()

  The getInteractiveFlag method returns the interactivity state of the VarProbe.

### probeObject

    public java.lang.Object probeObject(java.lang.Object anObject)

  A field probed with probeAsObject: must be an object.

### probeAsInt

    public int probeAsInt(java.lang.Object anObject)

  The probeAsInt: method returns a pointer to the probed variable as an integer.

### probeAsDouble

    public double probeAsDouble(java.lang.Object anObject)

  The probeAsDouble: method returns a pointer to the probed variable as a double.

### probeAsString

    public String probeAsString(java.lang.Object anObject)

  The probeAsString: method prints the value of the variable into a new String object.

### getRank

    public int getRank()

  Returns rank of array, or 0 for scalar objects.

### getBaseType

    public java.lang.String getBaseType()

  In the case of arrays, returns the base type.

### setData$ToString

    public boolean setData$ToString(java.lang.Object anObject,
                                    java.lang.String s)

  The setData:ToString: sets the probedVariable using a string which the probe reads and converts appropriately. When setting the value of an unsigned char or a char using this method, the expected format of the string is always "%i" unless CharString was chosen (in which case the format should be "'%c'").

### setData$ToDouble

    public void setData$ToDouble(java.lang.Object anObject,
                                 double val)

  Sets the probeVariable value using a double. This requires that the value is numeric.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD